InquireSecContextPermission (Java SE 25 & JDK 25)
Description: declaration: module: jdk.security.jgss, package: com.sun.security.jgss, class: InquireSecContextPermission
Keywords: com.sun.security.jgss.InquireSecContextPermission class

# Class InquireSecContextPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.security.jgss.InquireSecContextPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class InquireSecContextPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is for GSS security context permissions.

The target name is the `InquireType` allowed.

Since:
  1.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InquireSecContextPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new `InquireSecContextPermission` object with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InquireSecContextPermission

    public InquireSecContextPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new `InquireSecContextPermission` object with the specified name. The name is the symbolic name of the `InquireType` allowed.
    Parameters:
      `name` - the `InquireType` allowed by this permission. "*" means all `InquireType`s are allowed.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.